Bug 200280 - x11/xfce4-taskmanager poudriere build error without defaults options
Summary: x11/xfce4-taskmanager poudriere build error without defaults options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-18 10:49 UTC by Ivan Klymenko
Modified: 2015-07-02 14:48 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
xfce4-taskmanager-1.1.0_1.log (36.37 KB, text/x-log)
2015-05-18 10:49 UTC, Ivan Klymenko
no flags Details
Patch (415 bytes, patch)
2015-07-01 16:24 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2015-05-18 10:49:25 UTC
Created attachment 156868 [details]
xfce4-taskmanager-1.1.0_1.log
Comment 1 Dmitry Marakasov freebsd_committer 2015-07-01 16:24:08 UTC
Created attachment 158226 [details]
Patch

For some reason, gtk3 build still requires gtk2. The proposed patch fixes the build.
Comment 2 Olivier Duchateau freebsd_committer 2015-07-01 19:53:00 UTC
(In reply to Dmitry Marakasov from comment #1)

Dmitry feels free to commit patch.
Comment 3 commit-hook freebsd_committer 2015-07-02 09:23:58 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jul  2 09:23:27 UTC 2015
New revision: 391131
URL: https://svnweb.freebsd.org/changeset/ports/391131

Log:
  - Fix build with GTK3

  PR:		200280
  Reported by:	fidaj@ukr.net
  Submitted by:	amdmi3
  Approved by:	olivierd (xfce)
  MFH:		2015Q3

Changes:
  head/x11/xfce4-taskmanager/Makefile
Comment 4 commit-hook freebsd_committer 2015-07-02 13:31:23 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jul  2 13:30:53 UTC 2015
New revision: 391144
URL: https://svnweb.freebsd.org/changeset/ports/391144

Log:
  MFH: r391131

  - Fix build with GTK3

  PR:		200280
  Reported by:	fidaj@ukr.net
  Submitted by:	amdmi3
  Approved by:	olivierd (xfce)
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/x11/xfce4-taskmanager/Makefile